namespace elm { namespace diskselector { 
inline ::efl::eolian::return_traits< ::elm::widget::Item>::type Item::prev_get() const
{
    ::Elm_Widget_Item* __return_value =  ::elm_obj_diskselector_item_prev_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::elm::widget::Item>::type>(__return_value);
}
inline ::efl::eolian::return_traits< ::elm::widget::Item>::type Item::next_get() const
{
    ::Elm_Widget_Item* __return_value =  ::elm_obj_diskselector_item_next_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::elm::widget::Item>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Item::selected_get() const
{
   Eina_Bool __return_value =  ::elm_obj_diskselector_item_selected_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Item::selected_set( ::efl::eolian::in_traits<bool>::type selected) const
{
    ::elm_obj_diskselector_item_selected_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(selected));
}
} } 
namespace eo_cxx {
namespace elm { namespace diskselector { 
inline ::efl::eolian::return_traits< ::elm::widget::Item>::type Item::prev_get() const
{
    ::Elm_Widget_Item* __return_value =  ::elm_obj_diskselector_item_prev_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::elm::widget::Item>::type>(__return_value);
}
inline ::efl::eolian::return_traits< ::elm::widget::Item>::type Item::next_get() const
{
    ::Elm_Widget_Item* __return_value =  ::elm_obj_diskselector_item_next_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::elm::widget::Item>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Item::selected_get() const
{
   Eina_Bool __return_value =  ::elm_obj_diskselector_item_selected_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Item::selected_set( ::efl::eolian::in_traits<bool>::type selected) const
{
    ::elm_obj_diskselector_item_selected_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(selected));
}
inline elm::diskselector::Item::operator ::elm::diskselector::Item() const { return *static_cast< ::elm::diskselector::Item const*>(static_cast<void const*>(this)); }
inline elm::diskselector::Item::operator ::elm::diskselector::Item&() { return *static_cast< ::elm::diskselector::Item*>(static_cast<void*>(this)); }
inline elm::diskselector::Item::operator ::elm::diskselector::Item const&() const { return *static_cast< ::elm::diskselector::Item const*>(static_cast<void const*>(this)); }
} } }

